summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2017-07-29 13:42:28 +1000
committerMichael Palimaka <kensington@gentoo.org>2017-07-29 13:42:36 +1000
commite0014e526682cd330dbcb00833cb394dbc038d6d (patch)
treef0e126b45aecd1e98bd1f32ddaebd92a6422ff67 /app-editors/tea
parentsci-mathematics/relational: remove 2.4 (diff)
downloadgentoo-e0014e526682cd330dbcb00833cb394dbc038d6d.tar.gz
gentoo-e0014e526682cd330dbcb00833cb394dbc038d6d.tar.bz2
gentoo-e0014e526682cd330dbcb00833cb394dbc038d6d.zip
app-editors/tea: version bump 44.1.0
Package-Manager: Portage-2.3.6, Repoman-2.3.3
Diffstat (limited to 'app-editors/tea')
-rw-r--r--app-editors/tea/Manifest1
-rw-r--r--app-editors/tea/tea-44.1.0.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/app-editors/tea/Manifest b/app-editors/tea/Manifest
index 6a4531809b6..9cc488e6aff 100644
--- a/app-editors/tea/Manifest
+++ b/app-editors/tea/Manifest
@@ -1,2 +1,3 @@
DIST tea-43.1.0.tar.bz2 398524 SHA256 36fa3e28391d06f75f67926f5259999829c40c069fb76331a19f3528b463573a SHA512 1b647e1df81ebbcdf73e2335df34a73aca49c80b90b5bbabc05f52277f142e52e35922f788fbff12627f68aafd9ab18601e4cda964628a16025545240cf6e3de WHIRLPOOL 2f01a342d352e419ef7db264d654918494a769f2dfa76561274a3e1911ec194c68f3f8a40bb997b856781fd0b51b542c2db7b6ee10f2ec6f92c4be10d4042bda
DIST tea-44.0.0.tar.bz2 420495 SHA256 c7a7a6777a816bfce006852040abfc9fe72669301eaa637b7cde8c00ad05fe85 SHA512 cc97270eb92ecec7bd1690e337ae5d9749fd24d7e185d083318bf4bb7c79efe5a15c9e2a85111e498e83716fd58e76c7285c697ba4ebbca96e72770d1cadfc48 WHIRLPOOL 4550279244696e56f4f92f631ea41ddcb40986b3239de914ab89d721a6384081bdfcde91231cbd99736d040bb2eb8f240c89b8e915604e7bd795787891ccefa9
+DIST tea-44.1.0.tar.bz2 402335 SHA256 28b665a4ab30defa6699f8625a771612c6e0ae3160abf19e0e3d0a3778599890 SHA512 a430ed6d23d828b12235f61ad3d37f36c28754dcde8ac6d382a251f4b21cc253d70adab96814ee2d31fd6e92d4b5fbc941386b6d485716020800b5fa5e71b194 WHIRLPOOL 363e729d3b3046dc064269f5c245fa751b003fc56b0241fdbe16de891c209be51e7d89a64b3d2527b5f47777c95aafd46c953c0581f2d6d6f6006ede4b5aabb3
diff --git a/app-editors/tea/tea-44.1.0.ebuild b/app-editors/tea/tea-44.1.0.ebuild
new file mode 100644
index 00000000000..e138f5083a4
--- /dev/null
+++ b/app-editors/tea/tea-44.1.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils qmake-utils
+
+DESCRIPTION="Small, lightweight Qt text editor"
+HOMEPAGE="https://tea.ourproject.org/"
+SRC_URI="https://tea.ourproject.org/dloads/${P}.tar.bz2"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE="aspell djvu hunspell pdf"
+
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwidgets:5
+ sys-libs/zlib
+ aspell? ( app-text/aspell )
+ djvu? ( app-text/djvu )
+ hunspell? ( app-text/hunspell:= )
+ pdf? ( app-text/poppler[qt5] )
+"
+DEPEND="${RDEPEND}
+ hunspell? ( virtual/pkgconfig )
+"
+
+DOCS=( AUTHORS ChangeLog NEWS NEWS-RU TODO )
+
+src_configure() {
+ eqmake5 src.pro \
+ $(use aspell || echo CONFIG+=noaspell) \
+ $(use djvu && echo CONFIG+=usedjvu) \
+ $(use hunspell || echo CONFIG+=nohunspell) \
+ $(use pdf && echo CONFIG+=usepoppler)
+}
+
+src_install() {
+ dobin bin/tea
+
+ einstalldocs
+ docinto html
+ dodoc manuals/*.html
+
+ insinto /usr/share/qt5/translations
+ doins translations/${PN}_*.qm
+
+ newicon icons/tea-icon-v3-01.png ${PN}.png
+ make_desktop_entry ${PN} 'Tea Editor'
+}